javax.sound.sampled

## Interface Port

- All Superinterfaces:
    AutoCloseable, Line

      public interface Port
      extends Line

  Ports are simple lines for input or output of audio to or from audio devices. Common examples of ports that act as source lines (mixer inputs) include the microphone, line input, and CD-ROM drive. Ports that act as target lines (mixer outputs) include the speaker, headphone, and line output. You can access port using a ``Port.Info`` object.
  Since:
    1.3

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Port.Info` The `Port.Info` class extends ``Line.Info`` with additional information specific to ports, including the port's name and whether it is a source or a target for its mixer.

  - ### Method Summary

    - ### Methods inherited from interface javax.sound.sampled.Line

      `addLineListener, close, getControl, getControls, getLineInfo, isControlSupported, isOpen, open, removeLineListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.